# Uses of Class
org.apache.lucene.internal.hppc.LongArrayList

Packages that use LongArrayList
Package
Description
org.apache.lucene.internal.hppc
Internal copy of a subset of classes from the HPPC library.

- ## Uses of LongArrayList in org.apache.lucene.internal.hppc

  Methods in org.apache.lucene.internal.hppc that return LongArrayList
  Modifier and Type
  Method
  Description
  `LongArrayList`
  LongArrayList.`clone()`
  Clone this object.
  `static LongArrayList`
  LongArrayList.`from(long... elements)`
  Create a list from a variable number of arguments or an array of `int`.
  `LongArrayList`
  LongArrayList.`reverse()`
  Reverses the elements in this list and returns this list.
  `LongArrayList`
  LongArrayList.`sort()`
  Sorts the elements in this list and returns this list.
  Methods in org.apache.lucene.internal.hppc with parameters of type LongArrayList
  Modifier and Type
  Method
  Description
  `int`
  LongArrayList.`addAll(LongArrayList list)`
  Adds all elements from another list.
  `protected boolean`
  LongArrayList.`equalElements(LongArrayList other)`
  Compare index-aligned elements against another `LongArrayList`.
  Constructors in org.apache.lucene.internal.hppc with parameters of type LongArrayList
  Modifier
  Constructor
  Description
  ``
  `LongArrayList(LongArrayList list)`
  Creates a new list from the elements of another list in its iteration order.